work-queue.h File Reference
Include dependency graph for work-queue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void(* | pw_work_func_t) (void *obj, void *data, int res, uint32_t id)

## Functions

struct pw_work_queue * | pw_work_queue_new (struct pw_loop *loop)
void | pw_work_queue_destroy (struct pw_work_queue *queue)
uint32_t | pw_work_queue_add (struct pw_work_queue *queue, void *obj, int res, pw_work_func_t func, void *data)
int | pw_work_queue_cancel (struct pw_work_queue *queue, void *obj, uint32_t id)
int | pw_work_queue_complete (struct pw_work_queue *queue, void *obj, uint32_t seq, int res)

## Typedef Documentation

## pw_work_func_t

typedef void(* pw_work_func_t) (void *obj, void *data, int res, uint32_t id)

## Function Documentation

## pw_work_queue_add()

uint32_t pw_work_queue_add | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | int | res,
|  | pw_work_func_t | func,
|  | void * | data
| ) |  |

Referenced by pw_link_activate().

## pw_work_queue_cancel()

int pw_work_queue_cancel | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | uint32_t | id
| ) |  |

## pw_work_queue_complete()

int pw_work_queue_complete | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | uint32_t | seq,
|  | int | res
| ) |  |

## pw_work_queue_destroy()

void pw_work_queue_destroy | ( | struct pw_work_queue * | queue | ) |

## pw_work_queue_new()

struct pw_work_queue* pw_work_queue_new | ( | struct pw_loop * | loop | ) |